API reference
All operations
EQUIPMENT - UNDERCARRIAGE

Uploads an image for a specific undercarriage reading component and location.

POST/api/v2/equipment/undercarriage/images/upload

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentials

Request body

multipart/form-datarequired

The request containing readingId, component, location, imageId, mobileImageId, and the image file.

object
  • ReadingIdinteger · int32
  • MobileAssignedReadingIdstring
  • Componentstring
  • Locationstring
  • ImageFilefile
  • MobileImageIdstring

Responses

Image uploaded successfully.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

dataUndercarriageImageUploadResult
  • readingIdinteger · int32
  • componentstring
  • locationstring
  • imageIdinteger · int32
  • mobileImageIdstring
  • fullUrlstring
  • cloudinaryUrlstringnullable
  • previewUrlstringnullable